<?
require '../sys/inc/start.php';
require '../sys/inc/compress.php';
require '../sys/inc/sess.php';
require '../sys/inc/home.php';
require '../sys/inc/settings.php';
require '../sys/inc/db_connect.php';
require '../sys/inc/ipua.php';
require '../sys/inc/fnc.php';
require '../sys/inc/user.php';
$set['title']='Новости - Ответ';
include_once '../sys/inc/thead.php';
title();
err();
only_reg();

$id=intval(htmlspecialchars($_GET['id']));

$post=mysql_fetch_array(mysql_query("SELECT * FROM `news_komm` WHERE `id`='$id'"));
$ank=get_user($post['id_user']);

if(isset($_GET['go'])){
$msg="".$_POST['msg'];
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);

$mat=antimat($msg);
if ($mat)$err[]='В тексте сообщения обнаружен мат: '.$mat;

if (strlen2($msg)>1024){$err='Сообщение слишком длинное';}
elseif (strlen2($msg)<2){$err='Короткое сообщение';}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `news_komm` WHERE `id_news` = '".$post['id_news']."' AND `id_user` = '$user[id]' AND `msg` = '".my_esc($msg)."' LIMIT 1"),0)!=0){$err='Ваше сообщение повторяет предыдущее';}
elseif(!isset($err)){
if (isset($user) && $user['id']!=$post['id_user']){
$msg2="[b]$user[nick][/b] Ответил на ваше сообщения, в  [url=/news/komm.php?id=$post[id_news]]новости[/url]";
mysql_query("INSERT INTO `jurnal` (`id_kont`, `msg`, `time`) values('$ank[id]', '$msg2', '$time')");
}

mysql_query("INSERT INTO `news_komm` (`id_user`, `time`, `msg`, `id_news`) values('$user[id]', '$time', '".my_esc($msg)."', '$post[id_news]')")or die("Invalid query: " . mysql_error());
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']+1)."' WHERE `id` = '$user[id]' LIMIT 1")or die("Invalid query: " . mysql_error());
########## Реётинг активности ENK   #################
mysql_query("UPDATE `user` SET `akt_rating` = '".($user['akt_rating']+0.001)."' WHERE `id` = '$user[id]' LIMIT 1");
########## Реётинг активности ENK   #################
header("Location: /news/komm.php?id=$post[id_news]");
}
}

echo "<form method='post' name='message' action='?go&amp;id=$id'>\n";
echo "Сообщение: <br />\n<textarea name='msg'>$ank[nick], </textarea><br />\n";
if ($user['set_translit']==1)echo "<label><input type='checkbox' name='translit' value='1' /> Транслит</label><br />\n";
echo "<input value='Отправить' type='submit' />\n";
echo "</form>\n";

require '../sys/inc/tfoot.php';
?>